package com.fjhx.wms.entity.manual.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 手动出入库记录
 * </p>
 *
 * @author
 * @since 2024-04-24
 */
@Getter
@Setter
@TableName("manual_stock")
public class ManualStock extends BasePo {

    /**
     * 手动出入库单号
     */
    private String code;

    /**
     * 审批状态
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 业务公司
     */
    private Long companyId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 操作类型 1入库 2出库
     */
    private Integer opType;

    /**
     * 入库原因（对应出入库流水类型）
     */
    private Integer type;

    /**
     * 申请 出（领料）入库人
     */
    private String exWarehousePerson;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 借出单id
     */
    private Long borrowId;

    /**
     * 借出实际归还时间
     */
    private Date restitutionTime;

    /**
     * 借出预计归还时间
     */
    private Date expectRestitutionTime;

    /**
     * 丢件id
     */
    private Long loseId;

    /**
     * 生产订单id
     */
    private Long prodOrderId;

}
